/* ----------------------------------------------------------------------------
Description:
    Geariscripti
Parameters:
    _type
    _unit
Returns:
    Ei mitään
Examples:
    ["Sl", this] call compile preprocessFileLineNumbers "loadouts\VMF.sqf";
Author:
    Alkuperäinen Bummeri
    Modifioinut Tuntematon
Scipti Versio:
    v1
    25.1.2017
Geariscriptiä muokattu:
    25.1.2017
---------------------------------------------------------------------------- */
params ["_type","_unit"];

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

private ["_OrbatinSide", "_Radioit", "_Nightvision", "_VaadittuFunctio_versio", "_GeariFunctiot_Versio", "_Optiikka"];

/////////////////////////
////////ASETUKSET////////
/////////////////////////
//Vaadittava gearifunctio versio
_VaadittuFunctio_versio = 1;

//Orbatin osapuoli "east", "west" , "guer"
_OrbatinSide = "west";

//Lyhyet radiot kaikille. true/false
_Radioit = true;

//Onko NVG kaikilla. true/false
_Nightvision = false;

//Lisää tähän haluttu NVG classname "ACE_NVG_Gen4"
_item_NV = "ACE_NVG_Gen4";

//Onko zoomaavaa optiikkaa
_Optiikka = true;

#include "GeariFunctiot.sqf"
//Muokkaa tätä vastaamaan vaadittavaa gearifunctio tiedostoa
if (_GeariFunctiot_Versio == _VaadittuFunctio_versio) then {player sideChat "Geariscripti vaatii udemman gearifunctiot.sqf"};

/////////////////////////
////////ASETUKSET////////
/////////////////////////



_fnc_TUNaddBasicEquipment = { //PerusTavaroiden functio//
	//Params [_unit, varusteet, kiikarit] call _fnc_TUNaddBasicEquipment;

	params ["_unit", ["_mode", ""], ["_kiikarit", ""]];
	private ["_tavarat"];
	Switch toLower (_mode) do {

		Case toLower "johtaja": {
			_tavarat = [["SmokeShell",1], ["SmokeShellGreen",1], ["SmokeShellRed",1], ["HandGrenade",1], ["ACE_microDAGR",1], ["ACE_Flashlight_XL50",1]]; //Tässä voit muutta mitä perus tavaroita annetaan
		};

		Case toLower "VaraJohtaja": {
			_tavarat = [["SmokeShell",1], ["SmokeShellRed",1], ["HandGrenade",1], ["ACE_Flashlight_XL50",1]];
		};

		Case toLower "kevyt": {
			_tavarat = [["SmokeShell",1],["HandGrenade",1],["ACE_Flashlight_XL50",1]];
		};

		Case toLower "Engineer": {
			_tavarat = [["SmokeShell",4],["HandGrenade",1],["ACE_DefusalKit",1],["ACE_Clacker",1],["ToolKit",1],["ACE_wirecutter",1],["DemoCharge_Remote_Mag",3],["SatchelCharge_Remote_Mag",0],["ACE_Flashlight_XL50",1]];
		};

		Case toLower "Explosive": {
			_tavarat = [["SmokeShell",1],["HandGrenade",1],["ACE_Flashlight_XL50",1]];
		};

		Case toLower "Breach": {
			_tavarat = [["SmokeShell",1],["HandGrenade",1],["ACE_DefusalKit",1],["ACE_Clacker",1],["DemoCharge_Remote_Mag",2],["ACE_Flashlight_XL50",1]];
		};


		default { //Vakio romut
			_tavarat = [["SmokeShell",1],["HandGrenade",1]],["ACE_Flashlight_XL50",1];
		};
	};

	//Annetaan valitut tavarat
	[_unit, _tavarat] Call _fnc_TUNaddmagazines;

	Switch toLower (_kiikarit) do {
		Case toLower "kiikari": {
			_unit addWeapon "Binocular";
		};

		Case toLower "range": {
			_unit addWeapon "ACE_Vector";
		};

		Case toLower "laser": {
			_unit addWeapon "Laserdesignator";
			_unit addItem "Laserbatteries";
		};
		default {};
	};
};



_fnc_BUMaddMedicalSupplies = {
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	params ["_unit", ["_mode", " "]];
	private ["_supplies"];

	Switch (toLower(_mode)) do {

		Case toLower "cls": {
			_unit setVariable ["Ace_medical_medicClass", 1]; //Asettaa ace medikin tason
			_supplies = [["ACE_adenosine",1],["ACE_morphine",12],["ACE_epinephrine",8],["ACE_elasticBandage",15],["adv_aceSplint_splint",12],["ACE_tourniquet",6],["ACE_bloodIV",8]]; //Tässä voit muutta mitä medicaali tavaroita kukin saa.
		};

		Case toLower "medic": {
			_unit setVariable ["Ace_medical_medicClass", 2];//Asettaa ace medikin tason
			_supplies = [["ACE_adenosine",1],["ACE_morphine",12],["ACE_epinephrine",8],["ACE_elasticBandage",15],["adv_aceSplint_splint",12],["ACE_tourniquet",6],["ACE_bloodIV",8]]; //Tässä voit muutta mitä medicaali tavaroita kukin saa.
		};

		default {
			_unit setVariable ["Ace_medical_medicClass", 0];//Asettaa ace medikin tason
			_supplies = [["ACE_elasticBandage",4],["ACE_tourniquet",2],["ACE_morphine",1]]; //Tässä voit muutta mitä medicaali tavaroita kukin saa.
		};
	};

	[_unit, _supplies] Call _fnc_TUNaddmagazines;
};



_fnc_TUNchangeWeapons = { //ASEFUNCTIO//


	//Kutsuminen [_unit, "ase", "sinko"] call _fnc_TUNchangeWeapons;
	private [ "_weapons", "_magazines","_weaponitems"];
	params ["_unit","_weapon","_Singonvalinta"];
	_weapons = [];
	_magazines = [];
	_weaponitems = [];


///////////////////
//PääaseenValinta//
///////////////////
/*
Listaa ase näin.
_weapons append ["classname"];
Lisää lipas
_magazines append [["lipas1",lippaidenmäärä],["rhs_30Rnd_545x39_AK_green",3]];
Aseiden lisävarusteet
_weaponitems append [["classname","primary/handgun/secondary"],["rhs_acc_dtk","primary"]];

			_ase = selectRandom ["rhs_weap_m4_carryhandle","rhs_weap_m4_carryhandle_pmag","rhs_weap_m4_carryhandle_mstock","rhs_weap_m16a4_carryhandle","rhs_weap_m16a4_carryhandle_pmag"];
			//_tuki = selectRandom ["", "rhsusf_acc_grip2", "", "rhsusf_acc_grip2_tan", "", "rhsusf_acc_grip1", "", "rhsusf_acc_grip3", "", "rhsusf_acc_grip3_tan", ""];
			_tahtain = selectRandom ["", "rhsusf_acc_eotech_552", "", "rhsusf_acc_compm4"];
*/

	Switch toLower (_weapon) do {


		////////////
		//Kiväärit//
		////////////

		case toLower "Rif": { //Uusi G36
			_ase = selectRandom ["BWA3_G36A3", "BWA3_G36KA3"];
			//_tuki = selectRandom ["", "rhsusf_acc_grip2", "", "rhsusf_acc_grip2_tan", "", "rhsusf_acc_grip1", "", "rhsusf_acc_grip3", "", "rhsusf_acc_grip3_tan", ""];
			_tahtain = if (_Optiikka) then {"BWA3_optic_ZO4x30_MicroT2_brown"} else {selectRandom ["rhsusf_acc_eotech_552", "BWA3_optic_RSAS_brown"]};
			_weapons append [_ase];
			_magazines append [["BWA3_30Rnd_556x45_G36",6],["BWA3_30Rnd_556x45_G36_Tracer",2]];
			_weaponitems append [[_tahtain,"primary"], ["BWA3_acc_VarioRay_irlaser","primary"]];
		};

		case toLower "Rif1": { //Vanha G36
			_ase = selectRandom ["BWA3_G36A2", "BWA3_G36KA2"];
			//_tuki = selectRandom ["", "rhsusf_acc_grip2", "", "rhsusf_acc_grip2_tan", "", "rhsusf_acc_grip1", "", "rhsusf_acc_grip3", "", "rhsusf_acc_grip3_tan", ""];
			_tahtain = if (_Optiikka) then {"BWA3_optic_RSAS_G36A2"} else {selectRandom ["BWA3_optic_EOTech552_G36A2", "BWA3_optic_MicroT2_G36A2"]};
			_weapons append [_ase];
			_magazines append [["BWA3_30Rnd_556x45_G36",6],["BWA3_30Rnd_556x45_G36_Tracer",2]];
			_weaponitems append [[_tahtain,"primary"], ["BWA3_acc_VarioRay_irlaser","primary"]];
		};

		case toLower "Rif2": { //Rynnäkkökivääri

		};

		case toLower "GL": { //Heittimen sisältävät rynnäkkökiväärit
			_ase = selectRandom ["BWA3_G36A2_AG40"];
			//_tuki = selectRandom ["", "rhsusf_acc_grip2", "", "rhsusf_acc_grip2_tan", "", "rhsusf_acc_grip1", "", "rhsusf_acc_grip3", "", "rhsusf_acc_grip3_tan", ""];
			_tahtain = if (_Optiikka) then {"BWA3_optic_RSAS_G36A2"} else {selectRandom ["BWA3_optic_EOTech552_G36A2", "BWA3_optic_MicroT2_G36A2"]};
			_weapons append [_ase];
			_magazines append [["BWA3_30Rnd_556x45_G36",6],["BWA3_30Rnd_556x45_G36_Tracer",2],["1Rnd_HE_Grenade_shell",8],["1Rnd_Smoke_Grenade_shell",2]];
			_weaponitems append [[_tahtain,"primary"], ["BWA3_acc_VarioRay_irlaser_bk","primary"], [_tuki,"primary"]];
		};


		//////
		//MG//
		//////

		case toLower "MG": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53
			_weapons append ["BWA3_MG5","BWA3_P8"];
			_magazines append [["BWA3_120Rnd_762x51_soft",2],["BWA3_15Rnd_9x19_P8",2]];
			if (_Optiikka) then {_weaponitems append [["BWA3_optic_ZO4x30i","primary"]]};
		};


		case toLower "MGAS": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53
			_ase = selectRandom ["BWA3_G36A2", "BWA3_G36KA2"];
			//_tuki = selectRandom ["", "rhsusf_acc_grip2", "", "rhsusf_acc_grip2_tan", "", "rhsusf_acc_grip1", "", "rhsusf_acc_grip3", "", "rhsusf_acc_grip3_tan", ""];
			_tahtain = if (_Optiikka) then {"BWA3_optic_RSAS_G36A2"} else {selectRandom ["BWA3_optic_EOTech552_G36A2", "BWA3_optic_MicroT2_G36A2"]};
			_weapons append [_ase];
			_magazines append [["BWA3_30Rnd_556x45_G36",5],["BWA3_30Rnd_556x45_G36_Tracer",1],["BWA3_120Rnd_762x51_soft",3]];
			_weaponitems append [[_tahtain,"primary"], ["BWA3_acc_VarioRay_irlaser","primary"]];
		};



		//////
		//AR//
		//////

		case toLower "AR": { //Kevyet konekiväärit (M249, RPK, M27)
			_weapons append ["BWA3_MG4","BWA3_P8"];
			_magazines append [["BWA3_200Rnd_556x45",3],["BWA3_15Rnd_9x19_P8",2]];
			if (_Optiikka) then {_weaponitems append [["BWA3_optic_ZO4x30i_RSAS","primary"]]};
		};

		case toLower "ARAS": { //Kevyet konekiväärit (M249, RPK, M27)
			_ase = selectRandom ["BWA3_G36A2", "BWA3_G36KA2"];
			//_tuki = selectRandom ["", "rhsusf_acc_grip2", "", "rhsusf_acc_grip2_tan", "", "rhsusf_acc_grip1", "", "rhsusf_acc_grip3", "", "rhsusf_acc_grip3_tan", ""];
			_tahtain = if (_Optiikka) then {"BWA3_optic_RSAS_G36A2"} else {selectRandom ["BWA3_optic_EOTech552_G36A2", "BWA3_optic_MicroT2_G36A2"]};
			_weapons append [_ase];
			_magazines append [["BWA3_30Rnd_556x45_G36",5],["BWA3_30Rnd_556x45_G36_Tracer",1],["BWA3_200Rnd_556x45",2]];
			_weaponitems append [[_tahtain,"primary"], ["BWA3_acc_VarioRay_irlaser","primary"]];
		};



		//////////////////
		//Sniper & Marks//
		//////////////////

		case toLower "Mark": { //Marksman eli ryhmätason puoliautomaatti tukiase (MK11, SVD, AK+PSO, VSS Vintorez) Myös spottereiden ase
			_weapons append ["BWA3_G28_Patrol","BWA3_P8"];
			_magazines append [["BWA3_20Rnd_762x51_G28",5],["BWA3_15Rnd_9x19_P8",2],["ACE_RangeCard",1]];
			_weaponitems append [["BWA3_optic_PMII_ShortdotCC","primary"]];
		};

		case toLower "Mark1": { //Marksman eli ryhmätason puoliautomaatti tukiase (MK11, SVD, AK+PSO, VSS Vintorez) Myös spottereiden ase
			_weapons append ["BWA3_G28","BWA3_P8"];
			_magazines append [["BWA3_20Rnd_762x51_G28",5],["BWA3_15Rnd_9x19_P8",2],["ACE_RangeCard",1]];
			_weaponitems append [["BWA3_optic_PMII_DMR_MicroT1_rear","primary"]];
		};

		case toLower "Sniper": { //Tarkkuuskivääri  ["ACE_RangeCard",1],["ACE_Kestrel4500",1]
			_weapons append ["BWA3_G29","BWA3_P8"];
			_magazines append [["BWA3_10Rnd_86x70_G29",6],["BWA3_15Rnd_9x19_P8",2],["ACE_RangeCard",1],["ACE_Kestrel4500",1]];
			_weaponitems append [["BWA3_optic_M5Xi_Tremor3_MicroT2","primary"],["BWA3_bipod_Atlas","primary"]];
		};



		////////////////
		//Pienet aseet//
		////////////////

		case toLower "SMG": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit

		};

		case toLower "Carbine": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit
			_weapons append ["BWA3_MP7"];
			_magazines append [["BWA3_40Rnd_46x30_MP7",3]];
			//_weaponitems append [];
		};

		case toLower "Pistol": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit
			_weapons append ["BWA3_P8"];
			_magazines append [["BWA3_15Rnd_9x19_P8",2]];
			//_weaponitems append [];
		};

		//case toLower "Shotgun": { //Pääaseena haulikko. Eli Engineer T:Tuntematon
		//	_weapons append ["rhs_weap_M590_8RD", "BWA3_P8"];
		//	_magazines append [["rhsusf_8Rnd_00Buck",4],["rhsusf_8Rnd_doomsday_Buck",2],["rhsusf_8Rnd_Slug",4],["rhsusf_8Rnd_HE",2],["rhsusf_8Rnd_FRAG",2],["BWA3_15Rnd_9x19_P8",3]];
			//_weaponitems append [];
		//};

		default {};
	};






/////////////////
//SingonValinta//
/////////////////
	Switch toLower (_Singonvalinta) do {

		Case toLower "AT": { //AT = RPG7, SMAW, MAAWS (Raskaat singot)
			_weapons append ["BWA3_CarlGustav"];
			_magazines append [["BWA3_CarlGustav_HEAT",1],["BWA3_CarlGustav_HEDP",1]];
			_weaponitems append [["BWA3_optic_CarlGustav","secondary"]];
		};

		Case toLower "ATAS": { //AT = RPG7, SMAW, MAAWS (Raskaat singot)
			//_weapons append [];
			_magazines append [["BWA3_CarlGustav_HEAT",1],["BWA3_CarlGustav_HEDP",1]];
			//_weaponitems append [];
		};

		Case toLower "LAT": { //kevyt kertasinko (M72, RPG26, M136)
			_weapons append ["BWA3_PzF3"];
			//_magazines append [];
			_weaponitems append [["BWA3_optic_NSA80","secondary"]];
		};

		Case toLower "LAT1": { //kevyt kertasinko (M72, RPG26, M136)
			_weapons append ["rhs_weap_m72a7"];
			//_magazines append [];
			//_weaponitems append [];
		};

		Case toLower "AA": { //Anti-air
			_weapons append ["BWA3_Fliegerfaust"];
			_magazines append [["BWA3_Fliegerfaust_Mag",2]];
			//_weaponitems append [];
		};

		Case toLower "AAAS": { //Anti-air

		};

		Case toLower "HAT": { //NLAW, JAVELIN (Ylipäätänsä ohjuspohjainen)
			_weapons append ["rhs_weap_fgm148"];
			_magazines append [["rhs_fgm148_magazine_AT",1]];
			//_weaponitems append [];
		};

		Case toLower "HATAS": { //NLAW, JAVELIN (Ylipäätänsä ohjuspohjainen)
			//_weapons append [];
			_magazines append [["rhs_fgm148_magazine_AT",1]];
			//_weaponitems append [];
		};

		default {};//Tyhjänä ei ajaa tämä eli ei anna mitään.
	};


	if !(count _weapons == 0) then {
		[_unit, _weapons] Call _fnc_BUMaddweapons;
	};

	if !(count _magazines == 0) then {
		[_unit, _magazines] Call _fnc_TUNaddmagazines;
	};

	if !(count _weaponitems == 0) then {
		[_unit, _weaponitems] Call fnc_TUNaddWeaponItem;
	};
};


_fnc_TUNchangeClothes = { //VAATEFUNCTIO//

	//Kutsuminen [_unit, "puvunvalinta", "liivinvalinta", "repunvalinta"] call _fnc_TUNchangeClothes;
	//Katso vaihtoehdot alempaa case kohdasta. Käytä "" jos haluat defaultin.

	params ["_unit", ["_kypara", ""], ["_puku", ""], ["_liivi", ""], ["_reppu", ""]];

	removeUniform _unit;
    removeVest _unit;
    removeBackpack _unit;
    removeHeadgear _unit;
    removeGoggles _unit;



//////////////////
//Kypäränvalinta//
//////////////////
	switch toLower (_kypara) do {

		Case toLower "Johtaja": {
			_unit addHeadgear "BWA3_OpsCore_Fleck";
		};

		Case toLower "Sl": {
			_unit addHeadgear "BWA3_OpsCore_Fleck";
		};

		Case toLower "Crew": {
			_unit addHeadgear "BWA3_CrewmanKSK_Fleck_Headset";
		};

		Case toLower "Marks": {
			_unit addHeadgear "PBW_Helm2_fleck";
		};

		default { //Vakio kypärä
			_unit addHeadgear selectRandom ["PBW_Helm2_fleck","BWA3_OpsCore_Fleck","PBW_Helm1_fleck_H","PBW_Helm1_fleck_HBOD"];
		};
	};

////////////////
//Puvunvalinta//
////////////////

/*	switch toLower (_puku) do {

		Case toLower "Pilot": {
			_unit forceAddUniform "";
		};

		default { //Vakio Puku
			_unit forceAddUniform "";
		};
	};*/

_unit forceAddUniform "BWA3_Uniform2_Fleck";

/////////////////
//Liivinvalinta//
/////////////////
	switch toLower (_liivi) do {

		Case toLower "Sl": {
			_unit addVest "BWA3_Vest_Leader_Fleck";
		};

		Case toLower "Tl": {
			_unit addVest "BWA3_Vest_Leader_Fleck";
		};

		Case toLower "MG": {
			_unit addVest "BWA3_Vest_MachineGunner_Fleck";
		};

		Case toLower "AR": {
			_unit addVest "BWA3_Vest_MachineGunner_Fleck";
		};

		Case toLower "Crew": {
			_unit addVest "BWA3_Vest_Fleck";
		};

		Case toLower "Medic": {
			_unit addVest "BWA3_Vest_Medic_Fleck";
		};

		Case toLower "GL": {
			_unit addVest "BWA3_Vest_Grenadier_Fleck";
		};

		Case toLower "Mark": {
			_unit addVest "BWA3_Vest_Marksman_Fleck";
		};
		default { //Vakio liivi
			_unit addVest "BWA3_Vest_Rifleman_Fleck";
		};
	};

////////////////
//Repunvalinta//
////////////////
	switch toLower (_reppu) do
	{
		Case toLower "Radio": {
			_unit addbackpack "TFAR_rt1523g_bwmod";
		};

		Case toLower "Reppu": {
			_unit addBackpack "BWA3_AssaultPack_Fleck";
		};

		default { //Vakio reppu

		};
	};
};

/*

Vaatefunktion pitää olla aina ylimpänä.
puvunvalinta = "Sl", "Crew", "Light", "Mark", "Mg", "Gl", "Medic" tau "" jos haluat default
liivinvalinta = "Sl", "Crew", "Light", "Mark", "Mg", "Gl", "Medic" tau "" jos haluat default
repunvalinta = "Radio", "Medic", "AT", "Pienireppu", "Isoreppu"

[_unit, "","",""] call _fnc_TUNchangeClothes;

Pääase vaihtoehdot = "SMG", "Carbine", "MG", "MG1", "AR", "AR1", "GL", "Mark", "Mark1", "Sniper", "Snipe1", "Shotgun", "Rif1", "Rif1", "Rif2", "Pistol"
Sinko vaihtoehdot = "AT", "AtAS", "LAT", "LAT1", "AA", "AAAS", "HAT", "HATAS"
	[_unit, "Pääase", "Sinko"] call _fnc_TUNchangeWeapons;

Perus tavarat = "johtaja", "kevyt", "" //Vakio
Kiikarit = "kiikari", "range", "laser" tai "" jos et halua antaa mitään.
	[_unit, "Perus tavarat", "kiikari"] call _fnc_TUNaddBasicEquipment;

Medikintaso = "cls", "medic" tai "" perus jv tavarat.
	[_unit, "Medikintaso"] Call _fnc_BUMaddMedicalSupplies;
*/

//Gearin valinta JV ukoille
if (_unit isKindof "Man") then {
	private ["_Tun_Kypara", "_Tun_Puku", "_Tun_Liivi", "_Tun_Reppu", "_Tun_Aseistus", "_Tun_Sinko", "_Tun_Perustavarat", "_Tun_Kiikari", "_Tun_Medikaali"];
	Switch toLower(_type) do {

		////////////
		//Johtajat//
		////////////

		Case toLower "CL": { //Komppanin johtaja
			//Vaatteet
			_Tun_Kypara = "Johtaja";
			_Tun_Puku = "";
			_Tun_Liivi = "Sl";
			_Tun_Reppu = "Radio";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "Johtaja";
			_Tun_Kiikari = "Kiikari";
			_Tun_Medikaali = "";

			_unit setVariable["displayName", "Company Officer",true];
		};

		Case toLower "PL": { //Joukkueen johtaja
			//Vaatteet
			_Tun_Kypara = "Sl";
			_Tun_Puku = "";
			_Tun_Liivi = "Sl";
			_Tun_Reppu = "Radio";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "Johtaja";
			_Tun_Kiikari = "Kiikari";
			_Tun_Medikaali = "";

			_unit setVariable["displayName", "Platoon Officer",true];
		};

		Case toLower "RTO": { //Radisti
			//Vaatteet
			_Tun_Kypara = "Sl";
			_Tun_Puku = "";
			_Tun_Liivi = "SL";
			_Tun_Reppu = "Radio";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "Johtaja";
			_Tun_Kiikari = "Kiikari";
			_Tun_Medikaali = "";

			_unit setVariable["displayName", "RTO",true];
		};

		Case toLower "FAC": { //Tulenjohtaja/Ilmatulenjohtaja
			//Vaatteet
			_Tun_Kypara = "SL";
			_Tun_Puku = "";
			_Tun_Liivi = "SL";
			_Tun_Reppu = "RADIO";

			//aseet
			_Tun_Aseistus = "GL";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "laser";
			_Tun_Medikaali = "";

			_unit setVariable["displayName", "FAC",true];
		};

		Case toLower "SL": { //Ryhmän johtaja
			//Vaatteet
			_Tun_Kypara = "Sl";
			_Tun_Puku = "";
			_Tun_Liivi = "Sl";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "Johtaja";
			_Tun_Kiikari = "Kiikari";
			_Tun_Medikaali = "";
		};

		Case toLower "TL": { // Partion johtaja
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "Tl";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "VaraJohtaja";
			_Tun_Kiikari = "Kiikari";
			_Tun_Medikaali = "";
		};

		//////////////////
		//Machinegunners//
		//////////////////

		Case toLower "MG": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "MG";
			_Tun_Reppu = "Reppu";

			//aseet
			_Tun_Aseistus = "Mg";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "kevyt";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		/*Case toLower "MG1": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "MG";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Mg";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};*/

		Case toLower "MGAS": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "Reppu";

			//aseet
			_Tun_Aseistus = "MGAS";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "kevyt";
			_Tun_Kiikari = "Kiikari";
			_Tun_Medikaali = "";
		};

		/*Case toLower "MGAS1": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "MGAS";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "Kiikari";
			_Tun_Medikaali = "";
		};*/

		/////////////////
		//Autoriflemans//
		/////////////////

		Case toLower "AR": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "MG";
			_Tun_Reppu = "Reppu";

			//aseet
			_Tun_Aseistus = "Ar";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "AR1": { //M27
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "AR";
			_Tun_Reppu = "Reppu";

			//aseet
			_Tun_Aseistus = "Ar1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "ArAS": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "Reppu";

			//aseet
			_Tun_Aseistus = "ArAs";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "Kiikari";
			_Tun_Medikaali = "";
		};

		/*Case toLower "ARAS1": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};*/

		////////////
		//Perus jv//
		////////////

		Case toLower "GL": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "GL";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Gl";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "GL1": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Gl1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "Rif": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";

			_unit setVariable["displayName", "Rifleman",true];
		};

		Case toLower "Rif1": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";

			_unit setVariable["displayName", "Rifleman",true];
		};

		///////////
		//Medikit//
		///////////

		Case toLower "Medic": { //Joukkueen tai isompi.
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "Medic";
			_Tun_Reppu = "Reppu";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "medic";
		};

		/*Case toLower "CLS": { //Ryhmän medikki
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "cls";
		};*/

		/////////////////////
		//PST & Muut singot//
		/////////////////////

		Case toLower "AT": { //Raskas Sinko (SMAW,RPG)
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "AT";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "ATAS": { //Raskaan singon avustaja
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "ATAS";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "kiikari";
			_Tun_Medikaali = "";
		};

		Case toLower "HAT": { //Ohjus AT NLAW, JAVELIN (Ylipäätänsä ohjuspohjainen)
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "at";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "Hat";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "HATAS": { //Ohjus AT assistant
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "at";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "HATAS";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "kiikari";
			_Tun_Medikaali = "";
			};

		Case toLower "RifAT": { //KES taistelija
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "LAT";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "RifAT1": { //KES taistelija
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "LAT1";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "AA": { //Anti Air
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "AA";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "kiikari";
			_Tun_Medikaali = "";
		};

		Case toLower "AAAS": { ////Anti Air Avustaja
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "AAAS";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "kiikari";
			_Tun_Medikaali = "";
		};

		//////////////////////
		//Ajoneuvo miehistöt//
		//////////////////////

		Case toLower "CrewL": { //Vaununjohtaja
			//Vaatteet
			_Tun_Kypara = "Crew";
			_Tun_Puku = "";
			_Tun_Liivi = "Crew";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "kiikari";
			_Tun_Medikaali = "";
		};

		Case toLower "Crew": { //Vaunumiehistö
			//Vaatteet
			_Tun_Kypara = "Crew";
			_Tun_Puku = "";
			_Tun_Liivi = "Crew";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Carbine";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "Heli": { //Helikoperi
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Pistol";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "kiikari";
			_Tun_Medikaali = "";
		};

		Case toLower "Pilot": { //Pilotti
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Pistol";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "kiikari";
			_Tun_Medikaali = "";
		};

		/////////////////////////
		//Sniperit & Marksmanit//
		/////////////////////////

		Case toLower "Sniper": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "Sniper1": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "Spotter": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "Mark": {
			//Vaatteet
			_Tun_Kypara = "Marks";
			_Tun_Puku = "";
			_Tun_Liivi = "Mark";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Mark";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "kiikari";
			_Tun_Medikaali = "";
		};

		Case toLower "Mark1": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Mark";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "kiikari";
			_Tun_Medikaali = "";
		};

		////////////
		//Engineer//
		////////////

		Case toLower "Eng": { //Pioneeri (Räjähteet, miinaharava tms)
			_unit setVariable ["ACE_IsEngineer",1,true];
			_unit setVariable ["ACE_isEOD",1,true];

			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "Exp": { //Räjähde expertti. Isoja räjähteitä / IED
			_unit setVariable ["ACE_isEOD",1,true];

			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "Explosive";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		Case toLower "Breach": { //Kevyesti räjähteitä, haulikko tms
			_unit setVariable ["ACE_isEOD",1,true];

			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif1";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "Breach";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		default {
			removeUniform _unit;
		    removeVest _unit;
		    removeBackpack _unit;
		    removeHeadgear _unit;
		    removeGoggles _unit;
		};
	};

	//Kutsutaan varustefunctiot yksikölle.
	[_unit, _Tun_Kypara, _Tun_Puku, _Tun_Liivi, _Tun_Reppu] call _fnc_TUNchangeClothes;
	[_unit, _Tun_Aseistus, _Tun_Sinko] call _fnc_TUNchangeWeapons;
	[_unit, _Tun_Medikaali] Call _fnc_BUMaddMedicalSupplies;
	[_unit, _Tun_Perustavarat, _Tun_Kiikari] call _fnc_TUNaddBasicEquipment;
};





	/////////////////////////
	//Ajoneuvot ja Laatikot//
	/////////////////////////

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static" || _unit isKindOf "thing") then {
	Switch toLower(_type) do {

		Case toLower "APC": { //perus
			_unit addMagazineCargoGlobal ["BWA3_30Rnd_556x45_G36", 12];
			_unit addMagazineCargoGlobal ["BWA3_200Rnd_556x45",4];
			_unit addMagazineCargoGlobal ["1Rnd_HE_Grenade_shell",5];
			_unit addWeaponCargoGlobal ["BWA3_PzF3_Tandem_Loaded",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
		};

		Case toLower "Tank": { //perus


		};

		Case toLower "Rekka": { //perus
			_unit addMagazineCargoGlobal ["BWA3_30Rnd_556x45_G36", 12];
			_unit addMagazineCargoGlobal ["BWA3_200Rnd_556x45",4];
			_unit addWeaponCargoGlobal ["BWA3_Pzf3_Loaded",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
		};

		default{};
	};
};